Requirements - Platform - BlueCat Gateway - 20.6.1

Gateway Installation Guide

prodname
BlueCat Gateway
version_custom
20.6.1

Your environment must meet the following requirements before performing any of the tasks described in this document.

Docker installation is necessary to run BlueCat Gateway. BlueCat Gateway runs on any operating system compatible with Docker. Click here for information on installing Docker.

Servers

  • 1 provisioned production server
  • 1 provisioned lab/testing server (recommended)
Note: The servers are used to run the BlueCat Gateway application in a Docker container.

Browsers

  • Google Chrome® 79 or greater
  • Mozilla Firefox® 68 or greater
  • Internet Explorer® 11
  • Microsoft Edge 15 or greater

Software

  • Docker™ CE v18.03.1 or greater
  • Docker™ EE v17.03.2 or greater
  • RedHat-compiled Docker v1.13.1
  • RedHat OpenShift Container Platform v4.3
    Tip: BlueCat recommends using Docker EE for support and maintenance of Docker.
  • Python v3.6 (required only for workflow development)

Minimum system requirements

  • CPU: 2GHz or greater
  • RAM: 4GB
  • 50GB free disk space
  • Internet connection (Required if you are pulling the image from a cloud registry or if you are using GitHub to do an import.)

Recommended system requirements

  • CPU: 2 CPUs 2.5GHz or greater
  • RAM: 8GB
  • 100GB free disk space

Ports

  • Ports 80 and 443 should be open on the server running Docker